GNU bug report logs - #24707
25.1; Window shrinks automatically after opening at normal size

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: important; Reported by: Ivor Durham <ivor.durham@HIDDEN>; merged with #23144; Done: Paul Eggert <eggert@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug Marked as fixed in versions 26.1. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 23144 24707. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24707 <at> debbugs.gnu.org:


Received: (at 24707) by debbugs.gnu.org; 31 Oct 2016 20:43:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 31 16:43:59 2016
Received: from localhost ([127.0.0.1]:38354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1JR1-0008PX-2f
	for submit <at> debbugs.gnu.org; Mon, 31 Oct 2016 16:43:59 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36763)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1c1JQz-0008PH-LC
 for 24707 <at> debbugs.gnu.org; Mon, 31 Oct 2016 16:43:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1c1JQp-0005Ra-Or
 for 24707 <at> debbugs.gnu.org; Mon, 31 Oct 2016 16:43:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.7 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54018)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1c1JQp-0005RW-Le; Mon, 31 Oct 2016 16:43:47 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:3434
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1c1JQo-00007H-4K; Mon, 31 Oct 2016 16:43:46 -0400
Date: Mon, 31 Oct 2016 22:43:58 +0200
Message-Id: <834m3sp7u9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Ivor Durham" <ivor.durham@HIDDEN>
In-reply-to: <01ca01d23395$65f51570$31df4050$@durham@HIDDEN>
 (ivor.durham@HIDDEN)
Subject: Re: bug#24707: 25.1;
 Window shrinks automatically after opening at normal size
References: <85fb2dd1-6921-3010-c208-e671c4e7e9eb@HIDDEN>	<83pon0yy18.fsf@HIDDEN>	<012901d227dd$26d5fee0$7481fca0$@durham@HIDDEN>	<83k2d8yuts.fsf@HIDDEN>	<0b8a01d22ef8$15455c80$3fd01580$@durham@HIDDEN>	<8860ogqb9i.fsf@HIDDEN>
 <0c1a01d22f62$0bfce7f0$23f6b7d0$@durham@HIDDEN> <83eg33uxlf.fsf@HIDDEN>
 <0cbd01d22fab$429aa5b0$c7cff110$@durham@HIDDEN> <83vawft13p.fsf@HIDDEN>
 <0cf201d22fbf$64b861f0$2e2925d0$@durham@HIDDEN> <83pommubyy.fsf@HIDDEN>
 <01ca01d23395$65f51570$31df4050$@durham@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -7.7 (-------)
X-Debbugs-Envelope-To: 24707
Cc: rgm@HIDDEN, 24707 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -7.7 (-------)

> From: "Ivor Durham" <ivor.durham@HIDDEN>
> Cc: <rgm@HIDDEN>,
> 	<24707 <at> debbugs.gnu.org>
> Date: Mon, 31 Oct 2016 09:39:49 -0700
> 
> How do I fetch the 25.1 sources to try to reproduce & debug the problem with
> the same version that is actually exhibiting the problem?

Emacs 25.1 is available from the GNU FTP server, ftp.gnu.org.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24707; Package emacs. Full text available.

Message received at 24707 <at> debbugs.gnu.org:


Received: (at 24707) by debbugs.gnu.org; 31 Oct 2016 16:44:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 31 12:44:55 2016
Received: from localhost ([127.0.0.1]:38245 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1c1Fhf-0000t4-Dx
	for submit <at> debbugs.gnu.org; Mon, 31 Oct 2016 12:44:55 -0400
Received: from gateway32.websitewelcome.com ([192.185.145.115]:49160)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ivor.durham@HIDDEN>) id 1c1Fhd-0000st-QM
 for 24707 <at> debbugs.gnu.org; Mon, 31 Oct 2016 12:44:54 -0400
Received: from cm4.websitewelcome.com (unknown [108.167.139.16])
 by gateway32.websitewelcome.com (Postfix) with ESMTP id 007DEEF321A79
 for <24707 <at> debbugs.gnu.org>; Mon, 31 Oct 2016 11:44:51 -0500 (CDT)
Received: from gator4252.hostgator.com ([108.167.189.78])
 by cm4.websitewelcome.com with 
 id 2Gfo1u00N1hvytY01GfpE0; Mon, 31 Oct 2016 11:39:50 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=ivor.cc;
 s=default; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:
 Date:Subject:In-Reply-To:References:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=JbU7gS9qMDuW9pAKTBjxhR+8xhZDmAAqpfpZRu7XZCw=; b=nmpTuNz/pYDGlglYt2XfNaFZTB
 OcQ29wATTPiROhCS+CQyeLl5IHCsb10p8tL3VXr7iJJilNdmW3AIrZElbl8nL0b503bId+JSdH0t2
 7UAAy5FjPqrt3n6Fhsf/1y5EU6nGq4JnwKSxEwrwPVl0hyKyM+7dMwFULRaUPA22pkeyD8pBC3k1F
 Y0dIc7/LxhIrLLCc1KDprA1WhW/5ONI8fGOisidCEXT0bC/mnvaXmWGFvjwvog1CoLsASD0iBQs6k
 ywm0wU6YKuE5HYnUl0I7ciA67aw+a4fog4gdo2mNvCf5UjEdXyHW1+Kkd5/HAoc784IECNelD2aHw
 X9e805eg==;
Received: from 108-225-17-6.lightspeed.sntcca.sbcglobal.net
 ([108.225.17.6]:60206 helo=IvorLaptop)
 by gator4252.hostgator.com with esmtpsa
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256) (Exim 4.87)
 (envelope-from <ivor.durham@HIDDEN>)
 id 1c1Fch-00069P-VL; Mon, 31 Oct 2016 11:39:48 -0500
From: "Ivor Durham" <ivor.durham@HIDDEN>
To: "'Eli Zaretskii'" <eliz@HIDDEN>
References: <85fb2dd1-6921-3010-c208-e671c4e7e9eb@HIDDEN>	<83pon0yy18.fsf@HIDDEN>	<012901d227dd$26d5fee0$7481fca0$@durham@HIDDEN>	<83k2d8yuts.fsf@HIDDEN>	<0b8a01d22ef8$15455c80$3fd01580$@durham@HIDDEN>	<8860ogqb9i.fsf@HIDDEN>
 <0c1a01d22f62$0bfce7f0$23f6b7d0$@durham@HIDDEN> <83eg33uxlf.fsf@HIDDEN>
 <0cbd01d22fab$429aa5b0$c7cff110$@durham@HIDDEN> <83vawft13p.fsf@HIDDEN>
 <0cf201d22fbf$64b861f0$2e2925d0$@durham@HIDDEN> <83pommubyy.fsf@HIDDEN>
In-Reply-To: <83pommubyy.fsf@HIDDEN>
Subject: RE: bug#24707: 25.1;
 Window shrinks automatically after opening at normal size
Date: Mon, 31 Oct 2016 09:39:49 -0700
Message-ID: <01ca01d23395$65f51570$31df4050$@durham@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 12.0
Thread-Index: AdIvwjqSYGyFhZVmSQ2aA1vOGPgH7QD0UgJw
Content-Language: en-us
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - gator4252.hostgator.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - ivor.cc
X-BWhitelist: no
X-Source-IP: 108.225.17.6
X-Exim-ID: 1c1Fch-00069P-VL
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: 108-225-17-6.lightspeed.sntcca.sbcglobal.net (IvorLaptop)
 [108.225.17.6]:60206
X-Source-Auth: ivor.durham@HIDDEN
X-Email-Count: 3
X-Source-Cap: aXZvcmR1cmhhbTtpdm9yZHVyaGFtO2dhdG9yNDI1Mi5ob3N0Z2F0b3IuY29t
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 24707
Cc: rgm@HIDDEN, 24707 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

I used "git clone git://git.savannah.gnu.org/emacs.git" to clone and build
emacs which produced version 26.0.50.1. I used the following command to
configure it to get past some missing packages:

./configure --without-makeinfo --with-xpm=no --with-gif=no --with-gnutls=no

Running src/emacs -Q and src/emacs -q (shows the logo graphic) without doing
a full install both work as expected without resizing the window.

How do I fetch the 25.1 sources to try to reproduce & debug the problem with
the same version that is actually exhibiting the problem?

-----Original Message-----
From: Eli Zaretskii [mailto:eliz@HIDDEN] 
Sent: Wednesday, October 26, 2016 12:50 PM
To: Ivor Durham
Cc: rgm@HIDDEN; 24707 <at> debbugs.gnu.org
Subject: Re: bug#24707: 25.1; Window shrinks automatically after opening at
normal size

> From: "Ivor Durham" <ivor.durham@HIDDEN>
> Cc: <rgm@HIDDEN>,
> 	<24707 <at> debbugs.gnu.org>
> Date: Wed, 26 Oct 2016 12:30:21 -0700
> 
> So I can think of a couple of ways to try to diagnose this:
> - Enable telnet into the workstation and use it instead of ssh so I 
> can capture unencrypted network traffic with Wireshark to see if the X 
> protocol communication reveals anything unusual.
> - Try to build a debugging version of Emacs 25.1 locally, reproduce 
> the problem and then use gdb to break on whatever resize calls there 
> are to find what parameters are being passed and where they come from. 
> I know nothing about the Emacs implementation so this could be a bit of a
time sink.
> 
> Any other ideas on how I should approach this?

The second approach is IMO the right one.  I think if you put a breakpoint
in adjust_frame_size, you will see all the resizes.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24707; Package emacs. Full text available.

Message received at 24707 <at> debbugs.gnu.org:


Received: (at 24707) by debbugs.gnu.org; 26 Oct 2016 19:50:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 26 15:50:26 2016
Received: from localhost ([127.0.0.1]:57909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bzUDQ-0006lT-Oj
	for submit <at> debbugs.gnu.org; Wed, 26 Oct 2016 15:50:24 -0400
Received: from eggs.gnu.org ([208.118.235.92]:51834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bzUDP-0006lH-70
 for 24707 <at> debbugs.gnu.org; Wed, 26 Oct 2016 15:50:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bzUDE-0000p0-Or
 for 24707 <at> debbugs.gnu.org; Wed, 26 Oct 2016 15:50:18 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.6 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41324)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bzUDE-0000oq-LG; Wed, 26 Oct 2016 15:50:12 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2649
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bzUDB-00045Z-Mh; Wed, 26 Oct 2016 15:50:12 -0400
Date: Wed, 26 Oct 2016 22:49:57 +0300
Message-Id: <83pommubyy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Ivor Durham" <ivor.durham@HIDDEN>
In-reply-to: <0cf201d22fbf$64b861f0$2e2925d0$@durham@HIDDEN>
 (ivor.durham@HIDDEN)
Subject: Re: bug#24707: 25.1;
 Window shrinks automatically after opening at normal size
References: <85fb2dd1-6921-3010-c208-e671c4e7e9eb@HIDDEN>	<83pon0yy18.fsf@HIDDEN>	<012901d227dd$26d5fee0$7481fca0$@durham@HIDDEN>	<83k2d8yuts.fsf@HIDDEN>	<0b8a01d22ef8$15455c80$3fd01580$@durham@HIDDEN>	<8860ogqb9i.fsf@HIDDEN>
 <0c1a01d22f62$0bfce7f0$23f6b7d0$@durham@HIDDEN> <83eg33uxlf.fsf@HIDDEN>
 <0cbd01d22fab$429aa5b0$c7cff110$@durham@HIDDEN> <83vawft13p.fsf@HIDDEN>
 <0cf201d22fbf$64b861f0$2e2925d0$@durham@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 24707
Cc: rgm@HIDDEN, 24707 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.4 (------)

> From: "Ivor Durham" <ivor.durham@HIDDEN>
> Cc: <rgm@HIDDEN>,
> 	<24707 <at> debbugs.gnu.org>
> Date: Wed, 26 Oct 2016 12:30:21 -0700
> 
> So I can think of a couple of ways to try to diagnose this:
> - Enable telnet into the workstation and use it instead of ssh so I can
> capture unencrypted network traffic with Wireshark to see if the X protocol
> communication reveals anything unusual.
> - Try to build a debugging version of Emacs 25.1 locally, reproduce the
> problem and then use gdb to break on whatever resize calls there are to find
> what parameters are being passed and where they come from. I know nothing
> about the Emacs implementation so this could be a bit of a time sink.
> 
> Any other ideas on how I should approach this?

The second approach is IMO the right one.  I think if you put a
breakpoint in adjust_frame_size, you will see all the resizes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24707; Package emacs. Full text available.

Message received at 24707 <at> debbugs.gnu.org:


Received: (at 24707) by debbugs.gnu.org; 26 Oct 2016 19:35:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 26 15:35:27 2016
Received: from localhost ([127.0.0.1]:57897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bzTyx-0006QN-LR
	for submit <at> debbugs.gnu.org; Wed, 26 Oct 2016 15:35:27 -0400
Received: from gateway31.websitewelcome.com ([192.185.144.29]:52505)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ivor.durham@HIDDEN>) id 1bzTyv-0006QF-FE
 for 24707 <at> debbugs.gnu.org; Wed, 26 Oct 2016 15:35:26 -0400
Received: from cm5.websitewelcome.com (unknown [108.167.139.22])
 by gateway31.websitewelcome.com (Postfix) with ESMTP id 0035DE7A1D10A
 for <24707 <at> debbugs.gnu.org>; Wed, 26 Oct 2016 14:35:24 -0500 (CDT)
Received: from gator4252.hostgator.com ([108.167.189.78])
 by cm5.websitewelcome.com with 
 id 0KWN1u00b1hvytY01KWPiu; Wed, 26 Oct 2016 14:30:23 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=ivor.cc;
 s=default; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:
 Date:Subject:In-Reply-To:References:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=ifthhDaulyBd9nnFxXDpTtUJIozA5F2Q/XPbXsxn4II=; b=f/2Oe1LWVoAQqIGFYOjlBX24/l
 K3TuK/mJNjAFvVavSj0pTR4u3UTTxMMObn4b5E/3PLW+wuZPUxbHdDsyGoHWaBKySRyhCszdu+wrG
 ZBVrFskzH7qdbUEKL0zpsdmPwI9mCU13joJ2VR+92zvoO5Nkhc7pnuUATu5Qd/TGT7K/9ZcglwtWB
 Qt5KqcpxcWhNl5CMjmhQXIWYimSqQ0BEdkBzlgArZlxkc8hA+KIaDBP7GkBB3dIroEcssrxyG/nzj
 BpI+TYQQ2z6jMGjDtuccZKVPKR967Nf57Pg+528+ha13QcT6F9ujlFxzuu+7MveNJMhFfVC/HdtZT
 crktq0QA==;
Received: from 108-225-17-6.lightspeed.sntcca.sbcglobal.net
 ([108.225.17.6]:55815 helo=IvorLaptop)
 by gator4252.hostgator.com with esmtpsa
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256) (Exim 4.87)
 (envelope-from <ivor.durham@HIDDEN>)
 id 1bzTu2-000C4A-72; Wed, 26 Oct 2016 14:30:22 -0500
From: "Ivor Durham" <ivor.durham@HIDDEN>
To: "'Eli Zaretskii'" <eliz@HIDDEN>
References: <85fb2dd1-6921-3010-c208-e671c4e7e9eb@HIDDEN>	<83pon0yy18.fsf@HIDDEN>	<012901d227dd$26d5fee0$7481fca0$@durham@HIDDEN>	<83k2d8yuts.fsf@HIDDEN>	<0b8a01d22ef8$15455c80$3fd01580$@durham@HIDDEN>	<8860ogqb9i.fsf@HIDDEN>
 <0c1a01d22f62$0bfce7f0$23f6b7d0$@durham@HIDDEN> <83eg33uxlf.fsf@HIDDEN>
 <0cbd01d22fab$429aa5b0$c7cff110$@durham@HIDDEN> <83vawft13p.fsf@HIDDEN>
In-Reply-To: <83vawft13p.fsf@HIDDEN>
Subject: RE: bug#24707: 25.1;
 Window shrinks automatically after opening at normal size
Date: Wed, 26 Oct 2016 12:30:21 -0700
Message-ID: <0cf201d22fbf$64b861f0$2e2925d0$@durham@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 12.0
Thread-Index: AdIvtwgvIo969bn0ShicNRRIC/Le8gAB0HNA
Content-Language: en-us
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - gator4252.hostgator.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - ivor.cc
X-BWhitelist: no
X-Source-IP: 108.225.17.6
X-Exim-ID: 1bzTu2-000C4A-72
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: 108-225-17-6.lightspeed.sntcca.sbcglobal.net (IvorLaptop)
 [108.225.17.6]:55815
X-Source-Auth: ivor.durham@HIDDEN
X-Email-Count: 3
X-Source-Cap: aXZvcmR1cmhhbTtpdm9yZHVyaGFtO2dhdG9yNDI1Mi5ob3N0Z2F0b3IuY29t
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: So I can think of a couple of ways to try to diagnose this:
 - Enable telnet into the workstation and use it instead of ssh so I can
 capture
 unencrypted network traffic with Wireshark to see if the X protocol
 communication
 reveals anything unusual. - Try to build a debugging version of Emacs 25.1
 locally, reproduce the problem and then use gdb to break on whatever resize
 calls there are to find what parameters are being passed and where they come
 from. I know nothing about the Emacs implementation so this could be a bit
 of a time sink. [...] 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [192.185.144.29 listed in dnsbl.sorbs.net]
 1.0 MSGID_MULTIPLE_AT      Message-ID contains multiple '@' characters
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [192.185.144.29 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [192.185.144.29 listed in wl.mailspike.net]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 24707
Cc: rgm@HIDDEN, 24707 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  So I can think of a couple of ways to try to diagnose this:
    - Enable telnet into the workstation and use it instead of ssh so I can capture
    unencrypted network traffic with Wireshark to see if the X protocol communication
    reveals anything unusual. - Try to build a debugging version of Emacs 25.1
    locally, reproduce the problem and then use gdb to break on whatever resize
    calls there are to find what parameters are being passed and where they come
    from. I know nothing about the Emacs implementation so this could be a bit
    of a time sink. [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [192.185.144.29 listed in list.dnswl.org]
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [192.185.144.29 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [192.185.144.29 listed in wl.mailspike.net]
  1.0 MSGID_MULTIPLE_AT      Message-ID contains multiple '@' characters
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

So I can think of a couple of ways to try to diagnose this:
- Enable telnet into the workstation and use it instead of ssh so I can
capture unencrypted network traffic with Wireshark to see if the X protocol
communication reveals anything unusual.
- Try to build a debugging version of Emacs 25.1 locally, reproduce the
problem and then use gdb to break on whatever resize calls there are to find
what parameters are being passed and where they come from. I know nothing
about the Emacs implementation so this could be a bit of a time sink.

Any other ideas on how I should approach this?

-----Original Message-----
From: Eli Zaretskii [mailto:eliz@HIDDEN] 
Sent: Wednesday, October 26, 2016 11:30 AM
To: Ivor Durham
Cc: rgm@HIDDEN; 24707 <at> debbugs.gnu.org
Subject: Re: bug#24707: 25.1; Window shrinks automatically after opening at
normal size

> From: "Ivor Durham" <ivor.durham@HIDDEN>
> Cc: <rgm@HIDDEN>,
> 	<24707 <at> debbugs.gnu.org>
> Date: Wed, 26 Oct 2016 10:06:14 -0700
> 
> Is it possible that the issue is that I'm seeing the problem on a 
> remote display not the local display? If I am logged in locally at the 
> workstation, the window opens normally. However, if I login over the 
> LAN using SecureCRT on a Windows 10 system running VcXsrv then the resize
problem occurs.

That's why I think it's a different problem, specific to that server and/or
the rest of your remote setup.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24707; Package emacs. Full text available.

Message received at 24707 <at> debbugs.gnu.org:


Received: (at 24707) by debbugs.gnu.org; 26 Oct 2016 18:30:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 26 14:30:13 2016
Received: from localhost ([127.0.0.1]:57857 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bzSxp-0004pK-JK
	for submit <at> debbugs.gnu.org; Wed, 26 Oct 2016 14:30:13 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57099)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bzSxo-0004p8-6V
 for 24707 <at> debbugs.gnu.org; Wed, 26 Oct 2016 14:30:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bzSxf-0007F7-6B
 for 24707 <at> debbugs.gnu.org; Wed, 26 Oct 2016 14:30:07 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.6 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:40308)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bzSxf-0007F2-3H; Wed, 26 Oct 2016 14:30:03 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2555
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bzSxd-0005m0-V1; Wed, 26 Oct 2016 14:30:02 -0400
Date: Wed, 26 Oct 2016 21:30:02 +0300
Message-Id: <83vawft13p.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Ivor Durham" <ivor.durham@HIDDEN>
In-reply-to: <0cbd01d22fab$429aa5b0$c7cff110$@durham@HIDDEN>
 (ivor.durham@HIDDEN)
Subject: Re: bug#24707: 25.1;
 Window shrinks automatically after opening at normal size
References: <85fb2dd1-6921-3010-c208-e671c4e7e9eb@HIDDEN>	<83pon0yy18.fsf@HIDDEN>	<012901d227dd$26d5fee0$7481fca0$@durham@HIDDEN>	<83k2d8yuts.fsf@HIDDEN>	<0b8a01d22ef8$15455c80$3fd01580$@durham@HIDDEN>	<8860ogqb9i.fsf@HIDDEN>
 <0c1a01d22f62$0bfce7f0$23f6b7d0$@durham@HIDDEN> <83eg33uxlf.fsf@HIDDEN>
 <0cbd01d22fab$429aa5b0$c7cff110$@durham@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 24707
Cc: rgm@HIDDEN, 24707 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.4 (------)

> From: "Ivor Durham" <ivor.durham@HIDDEN>
> Cc: <rgm@HIDDEN>,
> 	<24707 <at> debbugs.gnu.org>
> Date: Wed, 26 Oct 2016 10:06:14 -0700
> 
> Is it possible that the issue is that I'm seeing the problem on a remote
> display not the local display? If I am logged in locally at the workstation,
> the window opens normally. However, if I login over the LAN using SecureCRT
> on a Windows 10 system running VcXsrv then the resize problem occurs.

That's why I think it's a different problem, specific to that server
and/or the rest of your remote setup.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24707; Package emacs. Full text available.

Message received at 24707 <at> debbugs.gnu.org:


Received: (at 24707) by debbugs.gnu.org; 26 Oct 2016 17:11:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 26 13:11:23 2016
Received: from localhost ([127.0.0.1]:57792 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bzRjW-0002sN-Nh
	for submit <at> debbugs.gnu.org; Wed, 26 Oct 2016 13:11:22 -0400
Received: from gateway24.websitewelcome.com ([192.185.50.66]:38838)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ivor.durham@HIDDEN>) id 1bzRjU-0002rs-KC
 for 24707 <at> debbugs.gnu.org; Wed, 26 Oct 2016 13:11:21 -0400
Received: from cm2.websitewelcome.com (cm2.websitewelcome.com [192.185.178.13])
 by gateway24.websitewelcome.com (Postfix) with ESMTP id 04163A03E6B97
 for <24707 <at> debbugs.gnu.org>; Wed, 26 Oct 2016 12:11:18 -0500 (CDT)
Received: from gator4252.hostgator.com ([108.167.189.78])
 by cm2.websitewelcome.com with 
 id 0H6F1u0111hvytY01H6GgR; Wed, 26 Oct 2016 12:06:17 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=ivor.cc;
 s=default; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:
 Date:Subject:In-Reply-To:References:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=bADL2gvWas8IM+WiSbypYsWdb2ZEMW3EQl3hcW77wA0=; b=ijjjJNGHbmg1hTqlcV5U6h0Wwv
 HfzNX+BLT7K/6quj7PfZmwJ6YKwQ4nCosG3pRo2OBwX0HAiHr1O/2D3ihsyaGri93FGmTzD3oq8af
 7xh+RB8LxC5P3R4SMxigRLPtkOqcbo+Br0gVL8ofbu+P3p56GEXnIHS2pBBOFMGW7UoeECHjbtDil
 /CsZYLZDuYn/Dj/N2vAD5FQLgoZFdbw0aNAGO6JvWTqQz45QoBcCbjmp4KQNnOSADkzgXxEXKFNUk
 esMa3aWmvxha0iBFOaHdxyx9TIz/L738YFcnZDlBsLr1FkZYtrVgOK21+PG4jQ+fdxo6G8kpWaiz4
 VyJ9SjZw==;
Received: from 108-225-17-6.lightspeed.sntcca.sbcglobal.net
 ([108.225.17.6]:54761 helo=IvorLaptop)
 by gator4252.hostgator.com with esmtpsa
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256) (Exim 4.87)
 (envelope-from <ivor.durham@HIDDEN>)
 id 1bzReY-000VSJ-VI; Wed, 26 Oct 2016 12:06:15 -0500
From: "Ivor Durham" <ivor.durham@HIDDEN>
To: "'Eli Zaretskii'" <eliz@HIDDEN>
References: <85fb2dd1-6921-3010-c208-e671c4e7e9eb@HIDDEN>	<83pon0yy18.fsf@HIDDEN>	<012901d227dd$26d5fee0$7481fca0$@durham@HIDDEN>	<83k2d8yuts.fsf@HIDDEN>	<0b8a01d22ef8$15455c80$3fd01580$@durham@HIDDEN>	<8860ogqb9i.fsf@HIDDEN>
 <0c1a01d22f62$0bfce7f0$23f6b7d0$@durham@HIDDEN> <83eg33uxlf.fsf@HIDDEN>
In-Reply-To: <83eg33uxlf.fsf@HIDDEN>
Subject: RE: bug#24707: 25.1;
 Window shrinks automatically after opening at normal size
Date: Wed, 26 Oct 2016 10:06:14 -0700
Message-ID: <0cbd01d22fab$429aa5b0$c7cff110$@durham@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 12.0
Thread-Index: AdIvgPKf3c29SV8vQeuMG/m2OWuocAAKT9DA
Content-Language: en-us
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - gator4252.hostgator.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - ivor.cc
X-BWhitelist: no
X-Source-IP: 108.225.17.6
X-Exim-ID: 1bzReY-000VSJ-VI
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: 108-225-17-6.lightspeed.sntcca.sbcglobal.net (IvorLaptop)
 [108.225.17.6]:54761
X-Source-Auth: ivor.durham@HIDDEN
X-Email-Count: 3
X-Source-Cap: aXZvcmR1cmhhbTtpdm9yZHVyaGFtO2dhdG9yNDI1Mi5ob3N0Z2F0b3IuY29t
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 24707
Cc: rgm@HIDDEN, 24707 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Is it possible that the issue is that I'm seeing the problem on a remote
display not the local display? If I am logged in locally at the workstation,
the window opens normally. However, if I login over the LAN using SecureCRT
on a Windows 10 system running VcXsrv then the resize problem occurs.

-----Original Message-----
From: Eli Zaretskii [mailto:eliz@HIDDEN] 
Sent: Wednesday, October 26, 2016 5:03 AM
To: Ivor Durham
Cc: rgm@HIDDEN; 24707 <at> debbugs.gnu.org
Subject: Re: bug#24707: 25.1; Window shrinks automatically after opening at
normal size

> From: "Ivor Durham" <ivor.durham@HIDDEN>
> Date: Wed, 26 Oct 2016 01:22:09 -0700
> Cc: 24707 <at> debbugs.gnu.org
> 
> Yes, it looks like I have duplicated bug #23144.

But that bug was supposed to be solved in Emacs 25.1, right?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24707; Package emacs. Full text available.

Message received at 24707 <at> debbugs.gnu.org:


Received: (at 24707) by debbugs.gnu.org; 26 Oct 2016 12:03:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 26 08:03:11 2016
Received: from localhost ([127.0.0.1]:57081 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bzMvD-0007Ou-HM
	for submit <at> debbugs.gnu.org; Wed, 26 Oct 2016 08:03:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bzMv7-0007OM-NM
 for 24707 <at> debbugs.gnu.org; Wed, 26 Oct 2016 08:03:05 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bzMux-0003Yf-To
 for 24707 <at> debbugs.gnu.org; Wed, 26 Oct 2016 08:02:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.4 required=5.0 tests=BAYES_40,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:33354)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bzMux-0003Ya-R9; Wed, 26 Oct 2016 08:02:51 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2070
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bzMux-0008O2-0F; Wed, 26 Oct 2016 08:02:51 -0400
Date: Wed, 26 Oct 2016 15:02:52 +0300
Message-Id: <83eg33uxlf.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Ivor Durham" <ivor.durham@HIDDEN>
In-reply-to: <0c1a01d22f62$0bfce7f0$23f6b7d0$@durham@HIDDEN>
 (ivor.durham@HIDDEN)
Subject: Re: bug#24707: 25.1;
 Window shrinks automatically after opening at normal size
References: <85fb2dd1-6921-3010-c208-e671c4e7e9eb@HIDDEN>	<83pon0yy18.fsf@HIDDEN>	<012901d227dd$26d5fee0$7481fca0$@durham@HIDDEN>	<83k2d8yuts.fsf@HIDDEN>	<0b8a01d22ef8$15455c80$3fd01580$@durham@HIDDEN>
 <8860ogqb9i.fsf@HIDDEN>
 <0c1a01d22f62$0bfce7f0$23f6b7d0$@durham@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 24707
Cc: rgm@HIDDEN, 24707 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.4 (------)

> From: "Ivor Durham" <ivor.durham@HIDDEN>
> Date: Wed, 26 Oct 2016 01:22:09 -0700
> Cc: 24707 <at> debbugs.gnu.org
> 
> Yes, it looks like I have duplicated bug #23144.

But that bug was supposed to be solved in Emacs 25.1, right?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24707; Package emacs. Full text available.

Message received at 24707 <at> debbugs.gnu.org:


Received: (at 24707) by debbugs.gnu.org; 26 Oct 2016 08:27:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 26 04:27:15 2016
Received: from localhost ([127.0.0.1]:56981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bzJYJ-0000lZ-I9
	for submit <at> debbugs.gnu.org; Wed, 26 Oct 2016 04:27:15 -0400
Received: from gateway20.websitewelcome.com ([192.185.62.46]:41594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ivor.durham@HIDDEN>) id 1bzJYH-0000lR-LE
 for 24707 <at> debbugs.gnu.org; Wed, 26 Oct 2016 04:27:15 -0400
Received: from cm6.websitewelcome.com (cm6.websitewelcome.com [108.167.139.19])
 by gateway20.websitewelcome.com (Postfix) with ESMTP id 0D6D5AD9F749F
 for <24707 <at> debbugs.gnu.org>; Wed, 26 Oct 2016 03:27:13 -0500 (CDT)
Received: from gator4252.hostgator.com ([108.167.189.78])
 by cm6.websitewelcome.com with 
 id 08NA1u01A1hvytY018NBGk; Wed, 26 Oct 2016 03:22:12 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=ivor.cc;
 s=default; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:
 Date:Subject:In-Reply-To:References:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=hdxDfsq5TDxQvJbD7V5L1NnhlIUklKpvT5qM19812QQ=; b=I4wWOsUBiDKfxyRUjxD74QbDsw
 61fKuxHV9xUU3JohmTTEcCPCTkRFmLRAIPjJM0GJ4npWa4HFA9O8EAo61MgH18r9wybR99SAP+ERj
 p+dfZ9O2y0FhuYfNHgifBPWqexAY6SzXU+HGMrWkyGfQEyJh8L2xnDyhYHsV4T0SjoP7/11evJSfh
 2rLPPipqONgocJf4Y+9VAiB2YXOXWr1ljsO1obAgoQ7NFAIZ1pjItcrL6kgFEozvg4LquVMU2M0YG
 Xttb27ZjVOeJEhZ0lQ33ECAx6uIwsCMMcbJuilCM2K5D0ODySnA/PIuClFMao6bFCx+sCOAmq18si
 +OWIolQA==;
Received: from 108-225-17-6.lightspeed.sntcca.sbcglobal.net
 ([108.225.17.6]:49782 helo=IvorLaptop)
 by gator4252.hostgator.com with esmtpsa
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256) (Exim 4.87)
 (envelope-from <ivor.durham@HIDDEN>)
 id 1bzJTO-000R6Z-Nv; Wed, 26 Oct 2016 03:22:10 -0500
From: "Ivor Durham" <ivor.durham@HIDDEN>
To: "'Glenn Morris'" <rgm@HIDDEN>
References: <85fb2dd1-6921-3010-c208-e671c4e7e9eb@HIDDEN>	<83pon0yy18.fsf@HIDDEN>	<012901d227dd$26d5fee0$7481fca0$@durham@HIDDEN>	<83k2d8yuts.fsf@HIDDEN>	<0b8a01d22ef8$15455c80$3fd01580$@durham@HIDDEN>
 <8860ogqb9i.fsf@HIDDEN>
In-Reply-To: <8860ogqb9i.fsf@HIDDEN>
Subject: RE: bug#24707: 25.1;
 Window shrinks automatically after opening at normal size
Date: Wed, 26 Oct 2016 01:22:09 -0700
Message-ID: <0c1a01d22f62$0bfce7f0$23f6b7d0$@durham@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 12.0
Thread-Index: AdIvFHXWoKqSUikPQmq0iKmwvFBG3AATXdyA
Content-Language: en-us
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - gator4252.hostgator.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - ivor.cc
X-BWhitelist: no
X-Source-IP: 108.225.17.6
X-Exim-ID: 1bzJTO-000R6Z-Nv
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: 108-225-17-6.lightspeed.sntcca.sbcglobal.net (IvorLaptop)
 [108.225.17.6]:49782
X-Source-Auth: ivor.durham@HIDDEN
X-Email-Count: 2
X-Source-Cap: aXZvcmR1cmhhbTtpdm9yZHVyaGFtO2dhdG9yNDI1Mi5ob3N0Z2F0b3IuY29t
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Yes, it looks like I have duplicated bug #23144. 
 Content analysis details:   (1.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.0 MSGID_MULTIPLE_AT      Message-ID contains multiple '@' characters
 0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
 [192.185.62.46 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [192.185.62.46 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid
X-Debbugs-Envelope-To: 24707
Cc: 24707 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Yes, it looks like I have duplicated bug #23144. 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.5 RCVD_IN_SORBS_SPAM     RBL: SORBS: sender is a spam source
                             [192.185.62.46 listed in dnsbl.sorbs.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [192.185.62.46 listed in list.dnswl.org]
  1.0 MSGID_MULTIPLE_AT      Message-ID contains multiple '@' characters
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 T_DKIM_INVALID         DKIM-Signature header exists but is not valid

Yes, it looks like I have duplicated bug #23144.

-----Original Message-----
From: Glenn Morris [mailto:rgm@HIDDEN] 
Sent: Tuesday, October 25, 2016 4:07 PM
To: Ivor Durham
Cc: 24707 <at> debbugs.gnu.org
Subject: Re: bug#24707: 25.1; Window shrinks automatically after opening at
normal size


Perhaps relevant: https://debbugs.gnu.org/23144 ?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24707; Package emacs. Full text available.

Message received at 24707 <at> debbugs.gnu.org:


Received: (at 24707) by debbugs.gnu.org; 25 Oct 2016 23:06:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 25 19:06:55 2016
Received: from localhost ([127.0.0.1]:56836 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bzAo3-0004Kh-6G
	for submit <at> debbugs.gnu.org; Tue, 25 Oct 2016 19:06:55 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1bzAo1-0004KU-Ji
 for 24707 <at> debbugs.gnu.org; Tue, 25 Oct 2016 19:06:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rgm@HIDDEN>) id 1bzAnv-0008Su-Gv
 for 24707 <at> debbugs.gnu.org; Tue, 25 Oct 2016 19:06:48 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-3.2 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52387)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rgm@HIDDEN>)
 id 1bzAnh-0008PW-Na; Tue, 25 Oct 2016 19:06:33 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rgm@HIDDEN>)
 id 1bzAnh-0003aj-Au; Tue, 25 Oct 2016 19:06:33 -0400
From: Glenn Morris <rgm@HIDDEN>
To: "Ivor Durham" <ivor.durham@HIDDEN>
Subject: Re: bug#24707: 25.1;
 Window shrinks automatically after opening at normal size
References: <85fb2dd1-6921-3010-c208-e671c4e7e9eb@HIDDEN>
 <83pon0yy18.fsf@HIDDEN>
 <012901d227dd$26d5fee0$7481fca0$@durham@HIDDEN>
 <83k2d8yuts.fsf@HIDDEN>
 <0b8a01d22ef8$15455c80$3fd01580$@durham@HIDDEN>
X-Spook: Fort Hancock Osama military SAPO insurgency Magnitude
X-Ran: 31=-6|LbxS!_f3N#5-RrT^%6IM~g(>xOD`U^?rU]UiM%<y'n!td]$\O,A}}:uNueu`3qvO
X-Hue: cyan
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Tue, 25 Oct 2016 19:06:33 -0400
In-Reply-To: <0b8a01d22ef8$15455c80$3fd01580$@durham@HIDDEN> (Ivor Durham's
 message of "Tue, 25 Oct 2016 12:43:38 -0700")
Message-ID: <8860ogqb9i.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.4 (------)
X-Debbugs-Envelope-To: 24707
Cc: 24707 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.4 (------)


Perhaps relevant: https://debbugs.gnu.org/23144 ?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24707; Package emacs. Full text available.

Message received at 24707 <at> debbugs.gnu.org:


Received: (at 24707) by debbugs.gnu.org; 25 Oct 2016 19:48:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 25 15:48:44 2016
Received: from localhost ([127.0.0.1]:56743 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bz7iG-0008AH-J8
	for submit <at> debbugs.gnu.org; Tue, 25 Oct 2016 15:48:44 -0400
Received: from gateway21.websitewelcome.com ([192.185.45.95]:37142)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ivor.durham@HIDDEN>) id 1bz7iD-0008A7-OT
 for 24707 <at> debbugs.gnu.org; Tue, 25 Oct 2016 15:48:42 -0400
Received: from cm7.websitewelcome.com (cm7.websitewelcome.com [108.167.139.20])
 by gateway21.websitewelcome.com (Postfix) with ESMTP id 00DD2D672113F
 for <24707 <at> debbugs.gnu.org>; Tue, 25 Oct 2016 14:48:41 -0500 (CDT)
Received: from gator4252.hostgator.com ([108.167.189.78])
 by cm7.websitewelcome.com with 
 id zvje1t01A1hvytY01vjfCY; Tue, 25 Oct 2016 14:43:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=ivor.cc;
 s=default; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:
 Date:Subject:In-Reply-To:References:To:From:Sender:Reply-To:Cc:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=COsxqtJCXnkyZ7tinjc467wcYiRuc6bjjFh6Qr2RIEo=; b=o7c5n56yc8LRm3YXajLWShNHZz
 hOAruEKtUTRu2OphSUv1Wd4JENjsqIgFrHzSgjT17GfnF5tO8f9tq3hIqRP/afoeDbsvpIdTiS4u4
 j7qRD1kzEYTnbCV0BdUz1Rla+AFGcF9jOIyxz5fOwsohGxNJEq9k2/v0KCF5/kn9m9ryHyrjX322D
 KW3mDEBa+CGADrb+pT3TPfRumjq28mrCQltf9LvcAXVyQ5NmWKGYqGxm/tvkswu9vKIx8ZX6aVMo+
 xc03bWOuNrgQ3tfNyY/LUw/uxo48kaP4iPW9Fso9fYhTjmcbSQ1ZTRfIxJPR6GiJPLWSaZvuQKUgh
 kxIZEogg==;
Received: from 108-225-17-6.lightspeed.sntcca.sbcglobal.net
 ([108.225.17.6]:61163 helo=IvorLaptop)
 by gator4252.hostgator.com with esmtpsa
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256) (Exim 4.87)
 (envelope-from <ivor.durham@HIDDEN>) id 1bz7dK-000Es0-HS
 for 24707 <at> debbugs.gnu.org; Tue, 25 Oct 2016 14:43:38 -0500
From: "Ivor Durham" <ivor.durham@HIDDEN>
To: <24707 <at> debbugs.gnu.org>
References: <85fb2dd1-6921-3010-c208-e671c4e7e9eb@HIDDEN>
 <83pon0yy18.fsf@HIDDEN> <012901d227dd$26d5fee0$7481fca0$@durham@HIDDEN>
 <83k2d8yuts.fsf@HIDDEN>
In-Reply-To: <83k2d8yuts.fsf@HIDDEN>
Subject: RE: bug#24707: 25.1;
 Window shrinks automatically after opening at normal size
Date: Tue, 25 Oct 2016 12:43:38 -0700
Message-ID: <0b8a01d22ef8$15455c80$3fd01580$@durham@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 12.0
Thread-Index: AdIn4ON9RW0nSWH0QFGeXoXJRWChDwHFCE1A
Content-Language: en-us
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - gator4252.hostgator.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - ivor.cc
X-BWhitelist: no
X-Source-IP: 108.225.17.6
X-Exim-ID: 1bz7dK-000Es0-HS
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: 108-225-17-6.lightspeed.sntcca.sbcglobal.net (IvorLaptop)
 [108.225.17.6]:61163
X-Source-Auth: ivor.durham@HIDDEN
X-Email-Count: 1
X-Source-Cap: aXZvcmR1cmhhbTtpdm9yZHVyaGFtO2dhdG9yNDI1Mi5ob3N0Z2F0b3IuY29t
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 24707
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

I've used the iSpring screen video capture tool to record the behavior when
I launch "emacs -Q" with the DISPLAY environment variable set as
"192.168.0.103:0.0". The video is accessible on YouTube at
https://youtu.be/M0Um2F2oWx4 or I can attach it as needed.

Stepping through the video one frame at a time in Windows Movie Maker
reveals the following sequence:

1. The window first opens on the remote laptop at the expected size with a
black background, but no Emacs logo.
2. A grey square appears in the upper-left corner of the window occupying
about 1/3 of the width & height of the window.
3. The window turns white and the Emacs menu bar appears.
4. The buffer status bar appears with one empty buffer line between the menu
bar and the status bar at the top of the window. (This is the first sign
something unusual is happening.)
5. Two more menu items appear at the end of the menu bar: Lisp-Interaction
and Help
6. The window changes size automatically.
7. The status bar moves down leaving room for 3 buffer lines above it and a
"For information about GNU Emacs ..." line below it.
8. The mode in the status bar says "Lisp-Interaction" instead of
"Fundamental".

Does this give any clue about where the problem I might look for the cause
of this problem?







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24707; Package emacs. Full text available.

Message received at 24707 <at> debbugs.gnu.org:


Received: (at 24707) by debbugs.gnu.org; 16 Oct 2016 19:40:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 16 15:40:05 2016
Received: from localhost ([127.0.0.1]:35529 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bvrHx-0002kN-Ko
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2016 15:40:05 -0400
Received: from gateway34.websitewelcome.com ([192.185.148.214]:56572)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ivor.durham@HIDDEN>) id 1bvrHw-0002kF-GF
 for 24707 <at> debbugs.gnu.org; Sun, 16 Oct 2016 15:40:04 -0400
Received: from cm5.websitewelcome.com (unknown [108.167.139.22])
 by gateway34.websitewelcome.com (Postfix) with ESMTP id 00782CD99DDA7
 for <24707 <at> debbugs.gnu.org>; Sun, 16 Oct 2016 14:40:02 -0500 (CDT)
Received: from gator4252.hostgator.com ([108.167.189.78])
 by cm5.websitewelcome.com with 
 id wKb01t0051hvytY01Kb1uX; Sun, 16 Oct 2016 14:35:01 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=ivor.cc;
 s=default; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:
 Date:Subject:In-Reply-To:References:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=0Ln85CZ3lK6MCSXMs5vrtiQ/WnEdy/SZo0YMY4LCqlw=; b=LitatrG1wJOnkBpbFNW0rH1teU
 xApd30G5yA/JXBZoUiWq9EEATASktEnH2jYXQL+dXy40NGiZthXUhXmLaQav9gyeQWbxhp4yI6hhx
 v8Z88QaiX9ekxKuYx+u9zW1RyTp+o7alH1NKLqz0OhSxXB8KVztgRe1PCXkKPaowQpt5/U1vABVYJ
 J+QFlonQWulOnicZwjdQxFA1UP9tgkJ8zbXhpgpZbVwbrULHX2KxZWSRZO4OpHJahKyFXTxqRbI1h
 o5AUigVxxmVulKUfwnTfZAwZ3WAEdCVE9WWRmuQ/9rfhGmKobK1ch9N3EyxNPBbhXwXkyXsRN/l9b
 lFmV+tDg==;
Received: from 108-225-17-6.lightspeed.sntcca.sbcglobal.net
 ([108.225.17.6]:50553 helo=IvorLaptop)
 by gator4252.hostgator.com with esmtpsa
 (TLSv1.2:ECDHE-RSA-AES256-GCM-SHA384:256) (Exim 4.87)
 (envelope-from <ivor.durham@HIDDEN>)
 id 1bvrD1-000DWt-VU; Sun, 16 Oct 2016 14:35:00 -0500
From: "Ivor Durham" <ivor.durham@HIDDEN>
To: "'Eli Zaretskii'" <eliz@HIDDEN>
References: <85fb2dd1-6921-3010-c208-e671c4e7e9eb@HIDDEN>
 <83pon0yy18.fsf@HIDDEN> <012901d227dd$26d5fee0$7481fca0$@durham@HIDDEN>
 <83k2d8yuts.fsf@HIDDEN>
In-Reply-To: <83k2d8yuts.fsf@HIDDEN>
Subject: RE: bug#24707: 25.1;
 Window shrinks automatically after opening at normal size
Date: Sun, 16 Oct 2016 12:34:57 -0700
Message-ID: <000401d227e4$6181d0d0$24857270$@durham@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 12.0
Thread-Index: AdIn4ON9RW0nSWH0QFGeXoXJRWChDwAAcduA
Content-Language: en-us
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - gator4252.hostgator.com
X-AntiAbuse: Original Domain - debbugs.gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - ivor.cc
X-BWhitelist: no
X-Source-IP: 108.225.17.6
X-Exim-ID: 1bvrD1-000DWt-VU
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: 108-225-17-6.lightspeed.sntcca.sbcglobal.net (IvorLaptop)
 [108.225.17.6]:50553
X-Source-Auth: ivor.durham@HIDDEN
X-Email-Count: 2
X-Source-Cap: aXZvcmR1cmhhbTtpdm9yZHVyaGFtO2dhdG9yNDI1Mi5ob3N0Z2F0b3IuY29t
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 24707
Cc: 24707 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)


What was your previous version of Emacs?

-- From the DNF log cleanup messages it appears the package version was
emacs-1:24.5-10.fc23.x86_64. The installed package is now listed as
emacs-25.1-1.fc24.x86_64

> Firefox, Thunderbird, gimp, etc. all open their window(s) normally on 
> my remotely connected system.

What happens if you invoke "emacs -q" (lowercase 'q')?  Do you see the
splash screen with the GNU image?

-- I'm not able to capture video of my screen, but it appears I get a black
screen briefly before the normal Emacs window appears which then shrinks. I
am not seeing the logo explicitly, but the switch too fast to determine
whether or not an image actually appears. With no arguments other than "-q"
it ends up in the "Welcome to GNU Emacs, one component ..." window. I could
try capturing the screen via smartphone video if that would help then I
could look at it one frame at a time.

> I did, however, make a discovery later after reporting the problem: 
> When connected remotely, I found that the bash shell DISPLAY 
> environment variable is set to "localhost:10.0". If I set DISPLAY to 
> my remote system's actual address ("192.168.0.103:0"), the window 
> opens normally and doesn't shrink after opening.

Later you wrote (again, in a private email):

> I take back the discovery; It's back to shrinking the window this 
> morning even with DISPLAY set to the actual address.

-- Indeed I cannot explain why it appeared to work correctly last night with
the modified DISPLAY value but not now.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24707; Package emacs. Full text available.

Message received at 24707 <at> debbugs.gnu.org:


Received: (at 24707) by debbugs.gnu.org; 16 Oct 2016 19:09:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 16 15:09:46 2016
Received: from localhost ([127.0.0.1]:35478 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bvqoc-0000NZ-Fj
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2016 15:09:46 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55392)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bvqob-0000NL-64
 for 24707 <at> debbugs.gnu.org; Sun, 16 Oct 2016 15:09:45 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bvqoS-0000n2-SA
 for 24707 <at> debbugs.gnu.org; Sun, 16 Oct 2016 15:09:39 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.5 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60987)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bvqoS-0000mv-O9; Sun, 16 Oct 2016 15:09:36 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2714
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bvqoR-0004pr-SX; Sun, 16 Oct 2016 15:09:36 -0400
Date: Sun, 16 Oct 2016 22:09:35 +0300
Message-Id: <83k2d8yuts.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Ivor Durham" <ivor.durham@HIDDEN>
In-reply-to: <012901d227dd$26d5fee0$7481fca0$@durham@HIDDEN>
 (ivor.durham@HIDDEN)
Subject: Re: bug#24707: 25.1;
 Window shrinks automatically after opening at normal size
References: <85fb2dd1-6921-3010-c208-e671c4e7e9eb@HIDDEN>
 <83pon0yy18.fsf@HIDDEN> <012901d227dd$26d5fee0$7481fca0$@durham@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.3 (-----)
X-Debbugs-Envelope-To: 24707
Cc: 24707 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.3 (-----)

[Please keep the bug address on the CC list.]

> From: "Ivor Durham" <ivor.durham@HIDDEN>
> Date: Sun, 16 Oct 2016 11:43:13 -0700
> 
> Emacs is the only application I've encountered exhibiting this behavior
> after the upgrade, so I inferred that it was a different version of Emacs.

What was your previous version of Emacs?

> Firefox, Thunderbird, gimp, etc. all open their window(s) normally on my
> remotely connected system. 

What happens if you invoke "emacs -q" (lowercase 'q')?  Do you see the
splash screen with the GNU image?

> I did, however, make a discovery later after reporting the problem: When
> connected remotely, I found that the bash shell DISPLAY environment variable
> is set to "localhost:10.0". If I set DISPLAY to my remote system's actual
> address ("192.168.0.103:0"), the window opens normally and doesn't shrink
> after opening.

Later you wrote (again, in a private email):

> I take back the discovery; It's back to shrinking the window this morning
> even with DISPLAY set to the actual address.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24707; Package emacs. Full text available.

Message received at 24707 <at> debbugs.gnu.org:


Received: (at 24707) by debbugs.gnu.org; 16 Oct 2016 18:00:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 16 14:00:30 2016
Received: from localhost ([127.0.0.1]:35371 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bvpja-0007AT-B7
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2016 14:00:30 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44693)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bvpjZ-0007AB-7K
 for 24707 <at> debbugs.gnu.org; Sun, 16 Oct 2016 14:00:29 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bvpjQ-0006kq-9i
 for 24707 <at> debbugs.gnu.org; Sun, 16 Oct 2016 14:00:24 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.5 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:60443)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bvpjQ-0006kl-6j; Sun, 16 Oct 2016 14:00:20 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2639
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bvpjP-0007jY-F3; Sun, 16 Oct 2016 14:00:19 -0400
Date: Sun, 16 Oct 2016 21:00:19 +0300
Message-Id: <83pon0yy18.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ivor Durham <ivor.durham@HIDDEN>
In-reply-to: <85fb2dd1-6921-3010-c208-e671c4e7e9eb@HIDDEN> (message from Ivor
 Durham on Sun, 16 Oct 2016 00:27:08 -0700)
Subject: Re: bug#24707: 25.1;
 Window shrinks automatically after opening at normal size
References: <85fb2dd1-6921-3010-c208-e671c4e7e9eb@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.3 (-----)
X-Debbugs-Envelope-To: 24707
Cc: 24707 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.3 (-----)

> From: Ivor Durham <ivor.durham@HIDDEN>
> Date: Sun, 16 Oct 2016 00:27:08 -0700
> 
> 
> After upgrading from Fedora 23 to Fedora 24, when I open Emacs the
> window is initially the size specified in my ~/.Xdefaults file (80x50)
> as before the upgrade, but then it automatically shrinks to five lines
> (3 buffer, status bar and message line below the status bar). This
> occurs with "emacs -Q filename". I am accessing the Linux system
> remotely from Windows 10 using Secure CRT and the VcXsrv X server
> running on Windows. If I open the same file locally on the Linux
> workstation, Emacs does not shrink the window after opening the file.
> Only the Fedora upgrade changed to introduce this change in behavior,
> not Secure CRT or VcXsrv.

If the Fedora upgrade causes this, why do you think it's a bug in
Emacs?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24707; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Oct 2016 16:30:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 16 12:30:49 2016
Received: from localhost ([127.0.0.1]:35122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bvoKn-0004xp-8H
	for submit <at> debbugs.gnu.org; Sun, 16 Oct 2016 12:30:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:53844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ivor.durham@HIDDEN>) id 1bvfvv-0005jO-5l
 for submit <at> debbugs.gnu.org; Sun, 16 Oct 2016 03:32:35 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ivor.durham@HIDDEN>) id 1bvfvo-0001LY-MX
 for submit <at> debbugs.gnu.org; Sun, 16 Oct 2016 03:32:29 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:42690)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ivor.durham@HIDDEN>) id 1bvfvo-0001LS-J3
 for submit <at> debbugs.gnu.org; Sun, 16 Oct 2016 03:32:28 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44814)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ivor.durham@HIDDEN>) id 1bvfvn-0005pH-6a
 for bug-gnu-emacs@HIDDEN; Sun, 16 Oct 2016 03:32:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ivor.durham@HIDDEN>) id 1bvfvj-0001Jq-Vz
 for bug-gnu-emacs@HIDDEN; Sun, 16 Oct 2016 03:32:27 -0400
Received: from gateway30.websitewelcome.com ([192.185.184.48]:33241)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ivor.durham@HIDDEN>) id 1bvfvj-0001EF-O1
 for bug-gnu-emacs@HIDDEN; Sun, 16 Oct 2016 03:32:23 -0400
Received: from cm7.websitewelcome.com (cm7.websitewelcome.com [108.167.139.20])
 by gateway30.websitewelcome.com (Postfix) with ESMTP id F41381CCFB3F6
 for <bug-gnu-emacs@HIDDEN>; Sun, 16 Oct 2016 02:32:10 -0500 (CDT)
Received: from gator4252.hostgator.com ([108.167.189.78])
 by cm7.websitewelcome.com with 
 id w7T91t00F1hvytY017TAWJ; Sun, 16 Oct 2016 02:27:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=ivor.cc;
 s=default; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Date:
 Message-ID:From:Subject:To:Sender:Reply-To:Cc:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=H3tof+o3hZgwXGKPKCPx9zwkWHri2s6GuhXAFuzkcxI=; b=mzPvhyIkefdOPM/Tu3HwnDF3o6
 Ku9A+W0oJBmsz+19rd0AXw1LNABdApUW+SIhuS/ibvVAS8GJPr7oFZXEt/JhPIgLTrD4xTFCQdt0A
 fjp0tVzqVDGsn330r2VUUWbQxtxRvH0FBxBYn+ZJUu3xoM1YXNSfj5jUJsPbIE8TOIIix5Qre/aAL
 v9C9xb4c/DiVlfJNGMxNa//t7kkrCzbvPZtKixJGYU8VcuVMruSYMspGNCJ7WwU8vH9L2o5U0gi7w
 evHaXVeJRdD7I+twzwAhYjHdMtG+scFc2Kc+M1v55iE7iGnZuwRMr87Bv7tbaXwd1pll36PyzemQ/
 /b3Pp+Hg==;
Received: from 108-225-17-6.lightspeed.sntcca.sbcglobal.net
 ([108.225.17.6]:34186 helo=[192.168.0.210])
 by gator4252.hostgator.com with esmtpsa
 (TLSv1.2:ECDHE-RSA-AES128-GCM-SHA256:128) (Exim 4.87)
 (envelope-from <ivor.durham@HIDDEN>) id 1bvfqf-000F1R-Ea
 for bug-gnu-emacs@HIDDEN; Sun, 16 Oct 2016 02:27:09 -0500
To: bug-gnu-emacs@HIDDEN
Subject: 25.1; Window shrinks automatically after opening at normal size
From: Ivor Durham <ivor.durham@HIDDEN>
Message-ID: <85fb2dd1-6921-3010-c208-e671c4e7e9eb@HIDDEN>
Date: Sun, 16 Oct 2016 00:27:08 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.3.0
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
X-AntiAbuse: This header was added to track abuse,
 please include it with any abuse report
X-AntiAbuse: Primary Hostname - gator4252.hostgator.com
X-AntiAbuse: Original Domain - gnu.org
X-AntiAbuse: Originator/Caller UID/GID - [47 12] / [47 12]
X-AntiAbuse: Sender Address Domain - ivor.cc
X-BWhitelist: no
X-Source-IP: 108.225.17.6
X-Exim-ID: 1bvfqf-000F1R-Ea
X-Source: 
X-Source-Args: 
X-Source-Dir: 
X-Source-Sender: 108-225-17-6.lightspeed.sntcca.sbcglobal.net
 ([192.168.0.210]) [108.225.17.6]:34186
X-Source-Auth: via@HIDDEN
X-Email-Count: 1
X-Source-Cap: aXZvcmR1cmhhbTtpdm9yZHVyaGFtO2dhdG9yNDI1Mi5ob3N0Z2F0b3IuY29t
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 16 Oct 2016 12:30:47 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)


After upgrading from Fedora 23 to Fedora 24, when I open Emacs the
window is initially the size specified in my ~/.Xdefaults file (80x50)
as before the upgrade, but then it automatically shrinks to five lines
(3 buffer, status bar and message line below the status bar). This
occurs with "emacs -Q filename". I am accessing the Linux system
remotely from Windows 10 using Secure CRT and the VcXsrv X server
running on Windows. If I open the same file locally on the Linux
workstation, Emacs does not shrink the window after opening the file.
Only the Fedora upgrade changed to introduce this change in behavior,
not Secure CRT or VcXsrv.


In GNU Emacs 25.1.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.20.9)
of 2016-09-19 built on buildvm-07.phx2.fedoraproject.org
Windowing system distributor 'HC-Consult', version 11.0.11702000
System Description: Fedora release 24 (Twenty Four)

Configured using:
'configure --build=x86_64-redhat-linux-gnu
--host=x86_64-redhat-linux-gnu --program-prefix=
--disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
--bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
--datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
--libexecdir=/usr/libexec --localstatedir=/var
--sharedstatedir=/var/lib --mandir=/usr/share/man
--infodir=/usr/share/info --with-dbus --with-gif --with-jpeg --with-png
--with-rsvg --with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3
--with-gpm=no --with-xwidgets build_alias=x86_64-redhat-linux-gnu
host_alias=x86_64-redhat-linux-gnu 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g
-pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2
-fexceptions -fstack-protector-strong --param=ssp-buffer-size=4
-grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1
-m64 -mtune=generic' LDFLAGS=-Wl,-z,relro
PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GCONF GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XWIDGETS

Important settings:
value of $LANG: en_US.UTF-8
locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
tooltip-mode: t
global-eldoc-mode: t
electric-indent-mode: t
mouse-wheel-mode: t
tool-bar-mode: t
menu-bar-mode: t
file-name-shadow-mode: t
global-font-lock-mode: t
font-lock-mode: t
blink-cursor-mode: t
auto-composition-mode: t
auto-encryption-mode: t
auto-compression-mode: t
line-number-mode: t
transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
funcall-interactively: End of buffer

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode easymenu
cl-loaddefs pcase cl-lib mail-prsvr mail-utils time-date mule-util
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment elisp-mode lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese charscript case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer cl-preloaded nadvice
loaddefs button faces cus-face macroexp files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote dbusbind inotify dynamic-setting
system-font-setting font-render-setting xwidget-internal move-toolbar
gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 86525 6061)
(symbols 48 19794 0)
(miscs 40 48 146)
(strings 32 14338 4200)
(string-bytes 1 409546)
(vectors 16 11740)
(vector-slots 8 430740 5033)
(floats 8 164 100)
(intervals 56 249 0)
(buffers 976 19)
(heap 1024 21819 1054))





Acknowledgement sent to Ivor Durham <ivor.durham@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24707; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 7 Dec 2018 18:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.